<?php
if ( !defined( 'SMARTY_DIR' ) ){
	include_once( '../init.php' );
}
include ( 'sessioninc.php' );

define( 'PAGE_ID', 'promo_mgt' );

if ( !checkAdminPermission( PAGE_ID ) ) {

	header( 'location: not_authorize.php' );
	exit;
}

$roles = array();

$rs =& $osDB->getAll( 'SELECT roleid, name FROM !',array( MEMBERSHIP_TABLE ) );

foreach ( $rs as $row ) {

	$roles[$row['roleid']] = $row['name'];
}

$t->assign( 'memberships', $roles );

unset($roles, $rs);

$t->assign('rendered_page', $t->fetch('admin/promoins.tpl'));

$t->display( 'admin/index.tpl' );

exit;
?>